#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>

#include <util/delay.h>

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "timeout.h" // defines F_CPU
#include "ili9163/ili9163lcd.h"
#include "colors.h"

ILI9163 lcd1; 
DigitalPin	pinSCK(&PORTB, PB7), pinSDA(&PORTB, PB5), pinA0(&PORTB, PB2), pinRESET(&PORTB, PB3), pinCS1(&PORTB, PB0), pinCS2(&PORTB, PB1);

ILI9163 lcd2;

void CS1_SELECT() {
	PORTB &= ~(1 << PB0);
	PORTB |= (1 << PB1);
}

void CS2_SELECT() {
	PORTB &= ~(1 << PB1);
	PORTB |= (1 << PB0);
}

void CS1_DESELECT() {
	PORTB |= (1 << PB0);
}

void CS2_DESELECT() {
	PORTB |= (1 << PB1);
}

int main (void)
{
	
	lcd1.setup(&pinSCK, &pinSDA, &pinA0, &pinRESET, &pinCS1);
	lcd2.setup(&pinSCK, &pinSDA, &pinA0, &pinRESET, &pinCS2);

	lcd1.init(ILI9163::BOTTOM);
	CS1_SELECT();
	lcd1.clear(GREEN);
	lcd1.drawCircle(80, 100, 10, RED);
	lcd1.drawCircle(40, 100, 10, RED);
	lcd1.drawLine(50, 100, 50, 40, RED);

	CS2_SELECT();
	lcd2.clear(YELLOW);

	CS1_SELECT();
	lcd1.clear(BLUE);

	CS2_SELECT();
	lcd2.drawCircle(80, 100, 10, RED);
	lcd2.drawCircle(40, 100, 10, RED);
	lcd2.drawLine(50, 100, 50, 40, RED);
	lcd2.drawLine(70, 100, 70, 40, RED);
	lcd2.drawCircle(60, 40, 10, RED);
	lcd2.drawLine(60, 40, 60, 30, RED);
	lcd2.drawRectFilled(51, 40, 69, 50, YELLOW);

	
	
	CS1_SELECT();
	lcd1.drawCircle(80, 100, 10, RED);
	lcd1.drawCircle(40, 100, 10, RED);
	lcd1.drawLine(50, 100, 50, 40, RED);
	lcd1.drawLine(70, 100, 70, 40, RED);
	lcd1.drawCircle(60, 40, 10, RED);
	lcd1.drawLine(60, 40, 60, 30, RED);
	lcd1.drawRectFilled(51, 40, 69, 50, BLUE);
	
	return 0;
}
